<?php
namespace Psycho\Kittensftw\Controller;

/***
 *
 * This file is part of the "Kittens" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2018
 *
 ***/

/**
 * KittenController
 */
class KittenController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController
{
    /**
     * kittenRepository
     * 
     * @var \Psycho\Kittensftw\Domain\Repository\KittenRepository
     * */
    protected $kittenRepository = null;

    /**
     * action list
     * 
     * @return void
     */
    public function listAction()
    {
        $kittens = $this->kittenRepository->findAll();
        $this->view->assign('kittens', $kittens);
    }

    /**
     * action show
     * 
     * @param \Psycho\Kittensftw\Domain\Model\Kitten $kitten
     * @return void
     */
    public function showAction(\Psycho\Kittensftw\Domain\Model\Kitten $kitten)
    {
        $this->view->assign('kitten', $kitten);
    }

    public function injectKittenRepository(\Psycho\Kittensftw\Domain\Repository\KittenRepository $kittenRepository)
    {
        $this->kittenRepository = $kittenRepository;
    }}
